<!doctype html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
        <title>GATHERUP</title>
        <link rel="icon" type="image/png" sizes="96x96" href="resources/icons/favicon-96x96.png">
        <link rel="icon" type="image/png" sizes="32x32" href="resources/icons/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="resources/icons/favicon-16x16.png">

        <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" 
              rel="stylesheet" 
              integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" 
              crossorigin="anonymous">
        <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
        <link rel="stylesheet" href="resources/styles/css/styles.css" />
        <link rel="stylesheet" href="resources/styles/css/create_edit_gathering.css" />
        
        <script src="https://code.jquery.com/jquery-3.3.1.min.js"
                integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
                crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" 
                integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" 
                crossorigin="anonymous"></script>
        <script src="resources/scripts/solid-auth-client.bundle.js"></script>
        <script src="resources/scripts/rdflib.min.js"></script>
        <script type="text/javascript" src="resources/scripts/GUI.js"></script>
        <script type="text/javascript" src="resources/scripts/namespaces.js"></script>
        <script type="text/javascript" src="resources/scripts/data_manager.js"></script>
        <script type="text/javascript" src="resources/scripts/script.js"></script>
    </head>
    <body>
        <header class="container">
                <div id="header-bg"></div>
                <div class="row">
                    <div id="hamburger-menu">
                        <div id="one"></div>
                        <div id="two"></div>
                        <div id="three"></div>
                    </div>
                    <h1><a href="/">GATHERUP</a></h1>
                    <a href="/profile.html">
                        <div class="image-round user-image">
                            <img class="user-profile-pic" src="resources/solid_logo.png" alt="" />
                        </div>
                    </a>
                </div>
                <nav id="mobile">
                    <div class="nav-header">
                        <h2>MENU</h2>
                    </div>
                    <ul>
                        <a href="/"><li>My gatherings</li></a>
                        <a href="#" class="active"><li>Plan a gathering</li></a>
                        <a href="/profile.html"><li>Your profile</li></a>
                        <a href="javascript:;" class="logout"><li>Logout</li></a>
                    </ul>
                </nav>
                <nav id="desktop" class="row">
                    <div id="nav-bg"></div>
                    <ul class="col-12">
                        <a href="/"><li>My gatherings</li></a>
                        <a href="#" class="active"><li>Plan a gathering</li></a>
                        <a href="/profile.html"><li>Your profile</li></a>
                        <a href="javascript:;" class="logout"><li>Logout</li></a>
                    </ul>
                </nav>
            </header>
            <main class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="gathering-card" class="card gathering">
                            <div class="main-info">
                                <!-- <div class="gathering-pic image-round">
                                    <img class="gathering-pic" src="resources/solid_logo.png" alt="" />
                                </div> -->
                                <div class="info">
                                    <h2><a href="#" target="blank"></a></h2>
                                    <div class="date-info icon-label"><i class="material-icons">date_range</i><span class="date"></span></div>
                                    <div class="location-info icon-label"><i class="material-icons">location_on</i><span class="location"></span></div>
                                </div>
                                <a id="edit-meeting" href="javascipt:;">
                                    <i class="material-icons start">edit</i>
                                    <i class="material-icons end d-none">close</i>
                                </a>
                            </div>
                            <div class="detail-info">
                                <p class="description"></p>
                            </div>
                            <div class="path d-none">
                                <label for="save-path">Where do you want to save your new gathering?</label>
                                <div class="path-input">
                                    <input type="text" class="edit-gathering" name="public-folder-path" disabled />
                                    <input type="text" class="edit-gathering" name="save-path" id="save-path" placeholder="my-totally-cool-gathering" value="GATHERUPS/meeting-name" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div id="persons-card" class="card">
                            <div class="card-heading">
                                <h2>Participants</h2>
                                <hr />
                            </div>
                            <div class="participants">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div id="actions-card" class="card">
                            <div class="actions">
                                <a id="cancel-gathering" href="javascript:;" class="btn transparent-blue d-none">Cancel</a>
                                <a id="delete-gathering" href="javascript:;" class="btn transparent-blue">Delete</a>
                                <a id="save-gathering" href="javascript:;" class="btn blue">Save</a>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
    </body>

    <!-- confirm exit edit-mode modal -->
    <div class="modal fade" id="confirm-exit-edit-mode" tabindex="-1" role="dialog" aria-labelledby="eem-modal-label" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="eem-modal-label">Cancel editing?</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Do you really want to stop editing this gathering, without saving your changes? All changes you made will be lost.
                </div>
                <div class="modal-footer">
                    <a href="javascript:;" id="confirm-cancel" class="btn transparent-blue">Stop editing</a>
                    <a href="javascript:;" id="confirm-save" class="btn blue">Save</a>
                </div>
            </div>
        </div>
    </div>

    <!-- confirm exit create modal -->
    <div class="modal fade" id="confirm-exit-create" tabindex="-1" role="dialog" aria-labelledby="ec-modal-label" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="ec-modal-label">Cancel creation?</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Do you really want to abort creating this gathering? All data will be lost.
                </div>
                <div class="modal-footer">
                    <a href="javascript:;" id="confirm-cancel-create" class="btn transparent-blue">Yes</a>
                    <a href="javascript:;" data-dismiss="modal" class="btn blue">No</a>
                </div>
            </div>
        </div>
    </div>

    <!-- confirm delete gathering modal -->
    <div class="modal fade" id="confirm-delete-gathering" tabindex="-1" role="dialog" aria-labelledby="dg-modal-label" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="dg-modal-label">Delete this gathering?</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Do you really want to delete this gathering? All data will be lost. This action cannot be undone.
                </div>
                <div class="modal-footer">
                    <a href="javascript:;" id="confirm-delete" class="btn transparent-blue">Delete</a>
                    <a href="javascript:;" data-dismiss="modal" class="btn blue">Cancel</a>
                </div>
            </div>
        </div>
    </div>

    <!-- error modal -->
    <div class="modal fade" id="error-modal" tabindex="-1" role="dialog" aria-labelledby="err-modal-label" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="err-modal-label">Error</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    An error occured while trying to update the gathering:<br />
                    <span class="error-msg"></span>
                </div>
                <div class="modal-footer">
                    <a href="javascript:;" data-dismiss="modal" class="btn transparent-blue">Cancel</a>
                    <a href="javascript:;" id="confirm-save" class="btn blue">Try again</a>
                </div>
            </div>
        </div>
    </div>

    <!-- update spinner modal -->
    <div class="modal fade" id="modal-update-loader" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="loader loader-radar-pulse">
                        <div class="circle"></div>
                        <div class="circle"></div>
                        <div class="circle"></div>
                    </div>
                    <div class="text">Updating gathering</div>
                </div>
            </div>
        </div>
    </div>

</html>